<!DOCTYPE html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title> &copy; menik8 | Matthias Triendl | Currently focussing on myself! </title>
	<!--

	               _ _   ___ 
	 _____ ___ ___|_| |_| . |
	|     | -_|   | | '_| . |
	|_|_|_|___|_|_|_|_,_|___|
	Currently focussing on myself!

	Triendl Matthias
	www.menik8.com
	hello@menik8.com


	-->
	<meta name="author" content="Matthias Triendl">
	<link rel="stylesheet" type="text/css" href="css/style.css" media="screen, projection" />
	<script type="text/javascript" src="js/jquery-1.4.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.1.custom.min.js"></script>
	<script type="text/javascript" src="js/scripts.js"></script>
</head>
<body>
<div id="desc_left"><a class="home" href="http://miniportfolio.menik8.com">Matthias Triendl</a>, <a href="mailto:hello@menik8.com">hello [at] menik8 [dot] com</a>, currently focussing on myself!</div>

<?php

error_reporting(0);

	if(isset($_GET['p'])) {
		if (preg_match('#(\./|\.\./|~/|\\\)#', $_GET['p']) || !realpath($_GET['p'])) {
				print "<div class='message'>";
				print "directory is forbidden!";
				print "</div>";
		} else if ($_GET['p'] == '') {
			define(PATH, "root");
		} else {
			define(PATH, $_GET['p']);
		}
	} else { define(PATH, "root"); } 
	//
	define(QUERY, "?p=");

	// breadcrumbs
	$crumb = explode("/", PATH);
	if (PATH != 'root' && realpath(PATH)) {
    	print "<div class='breadcrumbs'>";
	    $newpath = '';
    	foreach($crumb as $index => $value) {
        	$newpath .= $value;
	        
    	    if($index < count($crumb)-1)
        	    print "<a href='" . QUERY . $newpath ."'>$value</a> &gt; ";
	        // last item //
    	    else
        	    print $value;
	        $newpath .= '/';
    	}
	    print "</div>";
	}

	
	if (($retval = scandir(PATH)) !== false) {
	    $retval = array_filter($retval, 'filter_files');
	    shuffle($retval);
	}

	function filter_files($file) {
	    return ($file != '.' && $file != '..' && $file != '.DS_Store' && $file != 'Thumbs.db');
	}
	
	//loop through shuffled files
    foreach ($retval as $value) {
		$ext = pathinfo($value, PATHINFO_EXTENSION); //file extension
		if ($ext == "jpg" || $ext == "jpeg" || $ext == "gif" || $ext == "png") {
			print "<img class='thumb' src='" . PATH . "/" . $value . "'/>";
		} else if ($ext == "txt" || $ext == "rtf") {
			$lines = file_get_contents(PATH . '/' . $value);
			$lines = str_replace("\n","&para;<br/>",$lines);
			print "<div class='thumb text'>" . nl2br($lines) . "</div>";
		} else if ($ext == "pdf" || $ext == "doc" || $ext == "docx" || $ext == "xls" || $ext == "xlsx" || $ext == "pps" || $ext == "zip" || $ext == "rar") {
			print "<div class='thumb file'><a href='" . PATH . "/" . $value . "'><img src='img/file.png'/></a><span class='desc'>$value</span></div>";
		/*} else if ($ext == "mp4" || $ext == "webm" || $ext == "ogv") {
		
			print "<div class='thumb video'><video class='player_video' width='260' height='200' preload controls>";
			//print "<div class='thumb video'><video width='260' height='200'>";
			if ($ext == "mp4") {
				print "<source src='" . PATH . "/" . $value . "' type='video/mp4; codecs=avc1.42E01E, mp4a.40.2'>";
			} else if ($ext == "webm") {
				print "<source src='" . PATH . "/" . $value . "' type='video/webm; codecs=vp8, vorbis'>";
			} else if ($ext == "ogv") {
				print "<source src='" . PATH . "/" . $value . "' type='video/ogg; codecs=theora, vorbis'>";
			} else {
				// video error
			}
			print "</video></div>";
			
		} else if ($ext == "mp3" || $ext == "wav" || $ext == "au" || $ext == "aiff" || $ext == "snd" || $ext == "m4a" || $ext == "ogg") {
			print "<div class='thumb audio'><audio class='player_audio' src='" . PATH . "/" . $value . "' controls='controls'></audio></div>";*/
		} else if ($ext == "") { //FOLDER
			print "<div class='thumb folder'><a href='" . QUERY  . PATH . "/" .$value."'><img src='img/folder.png'/></a><span class='desc'>$value</span></div>";
		} else {
			//this is no supported file format
		}
	}
	
?>
	
</body>
</html>